
//////////////////////////////////////////////////
//  SQLite Data Access Components
//  Copyright (c) 2008-2014 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}
{$I LiteDac.inc}
unit LiteConstsUni;
{$ENDIF}

interface

const
// default connection property values
  DefValDirect = False;
  DefValForceCreateDatabase = False;

resourcestring
  SStoredProcNotSupported =  'SQLite does not support stored procedures';
  SClientLibraryDiffers =    'Connection ClientLibrary or UseStaticLibrary differs from already active connections';
  SIncorrectParamCount =     'Incorrect parameter count. Expected: %d; Actual: %d';
  SIncorrectConnectionType = 'Incorrect connection type. Expected: %s; Actual: %s';

  SInMemoryDB = ':memory:';
  STempDB     = '';

  SDatabaseDoesntExist =    'Database "%s" does not exist';
  //SDecryptionError        = 'Invalid EncryptionKey and/or EncryptionAlgorithm specified'; //not used

  SBHCaption              = '-- %s version: %s'#$D#$A +
                            '-- %s client library: %s'#$D#$A +
                            '-- Script date %s'#$D#$A +
                            '-- ---------------------------------------------------------------------- '#$D#$A +
                            '-- Database: %s'#$D#$A#$D#$A;

  SDBBrowse               = '<Browse...>';

  SDirectNotSupported     = 'Feature is not supported.';

  SCannotUseAlgorithm     = 'Encryption algorithm can be used only in the Direct mode';
  SDefaultAlgorithm       = 'Encryption algorithm not specified';
  SEncryptionKeyIsEmpty   = 'The EncryptionKey property must not be empty when using encryption';
  SEncryptionKeyMustBeEmpty   = 'The EncryptionKey property must be empty when no encryption algorithm specified';

implementation

end.
